@charset "utf-8";

.quick_btn_box {
  position: fixed;
  bottom: 125px;
  right: 30px;
  width: 80px;
  height: 80px;
  border-radius: 50%;
  transition: 0.2s;
  visibility: hidden;
  opacity: 0;
  transform: translateY(20px);
  z-index: 999;
}

.quick_btn_box.active {
  visibility: visible;
  opacity: 1;
  transform: translateY(0);
}

.quick_btn_box .quick_btn {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background: var(--main-color);
  z-index: 1000;
}

.quick_btn_box .txt {
  color: #fff;
  padding-bottom: 2px;
}

.quick_bar {
  position: fixed;
  right: 0px;
  bottom: 40px;
  width: 80px;
  border-radius: 100px 100px 0 0;
  visibility: hidden;
  opacity: 0;
  overflow: hidden;
  transition: 0.6s;
  z-index: 998;
  background: #fff;
  box-shadow: 0 0 10px 2px rgba(0, 0, 0, 0.05);
}

.quick_bar>ul {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  padding: 35px 0 50px;
  text-align: center;
  margin: 0;
  overflow: hidden;
}

.quick_bar li {
  list-style: none;
}

.quick_bar li a {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 6px;
  text-decoration-line: none;
  padding: 10% 0;
}

.quick_bar li a img {
  width: 32px;
}

.quick_bar li a span {
  color: #666;
  font-size: 13px;
}

.quick_bar li:hover a img {
  filter: brightness(0) saturate(100%) invert(20%) sepia(42%) saturate(273%) hue-rotate(341deg) brightness(96%) contrast(91%);
}

.quick_bar li:hover a span {
  color: #1f3c84;
}

.quick_btn_box:hover .quick_bar {
  visibility: visible;
  opacity: 1;
}

@media screen and (max-width : 1024px) {
  .quick_btn_box {
    right: 100%;
    bottom: 0;
  }

  .quick_bar {
    visibility: visible;
    opacity: 1;
    width: 100vw;
    right: unset;
    left: 100%;
    bottom: 0;
    border-radius: 0;
    box-shadow: none;
  }

  .quick_bar ul {
    flex-direction: row;
    padding: 13px 0 9px;
    gap: 0;
  }

  .quick_bar ul li {
    width: 25%;
  }

  .quick_bar li a img {
    width: 24px;
  }
}